<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
  <tr class="rich-table-row" onmouseout="this.style.backgroundColor='#FFFFFF'" onmouseover="this.style.backgroundColor='#94C2E6'">
    <td class="rich-table-cell" rowspan="#{pnrIHEManager.rownSpanClass(m)}">#{pnrIHEManager.getOptionalityClassOnSubmissionSet(m)}</td>
    <td class="rich-table-cell" rowspan="#{pnrIHEManager.rownSpanClass(m)}">
      <h:panelGrid columns="3">
        <h:outputText value="#{pnrIHEManager.getDisplayNameClass(m)}"/>
        <gdk:spacer width="5"/>
        <h:graphicImage value="/img/remove.gif" rendered="#{pnrIHEManager.getOptionalityClassOnSubmissionSet(m).equals('O')}" height="15px" onmouseover="this.style.cursor='pointer'">
          <a4j:ajax event="click" render="metadata_id" listener="#{pnrIHEManager.removeClassificationFromSubmissionSet(m)}"/>
        </h:graphicImage>
      </h:panelGrid>
    </td>
    <td class="rich-table-cell">#{messages['net.ihe.gazelle.xdstar.DisplayName']}</td>
    <td class="rich-table-cell">
      <a4j:repeat value="#{m.name.localizedString}" var="name">
        <h:panelGrid columns="3">
          <h:outputText value="#{name.value}"/>
          <gdk:spacer width="5"/>
          <h:graphicImage value="/img/remove.gif" height="15px" onmouseover="this.style.cursor='pointer'">
            <a4j:ajax event="click" render="metadata_id" listener="#{m.name.localizedString.remove(name)}"/>
          </h:graphicImage>
        </h:panelGrid>
      </a4j:repeat>
      <h:graphicImage value="/img/add.gif" height="15px" rendered="#{pnrIHEManager.canAddName(m.name)}">
        <a4j:ajax event="click" oncomplete="jq162('#AddNameValue').modal('show');" render="AddNameValue" listener="#{pnrIHEManager.initSelectedInternationalStringType(m.name)}"/>
      </h:graphicImage>
    </td>
  </tr>
  <tr class="rich-table-row">
    <td class="rich-table-cell">#{messages['net.ihe.gazelle.xdstar.Code']}</td>
    <td class="rich-table-cell">
      <h:inputText value="#{m.nodeRepresentation}" styleClass="form-control"/>
    </td>
  </tr>
  <a4j:repeat value="#{m.slot}" var="slot">
    <tr class="rich-table-row">
      <td class="rich-table-cell">
        <h:outputText value="#{slot.name}"/>
      </td>
      <td class="rich-table-cell">
        <ui:include src="slot.xhtml">
          <ui:param name="slot" value="#{slot}"/>
        </ui:include>
      </td>
    </tr>
  </a4j:repeat>
  <a4j:region rendered="#{pnrIHEManager.hasOptionalSlotYet(m)}">
    <tr class="rich-table-row">
      <td class="rich-table-cell" colspan="2">
        <a4j:commandLink value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadataRelatedTo']} #{pnrIHEManager.getDisplayNameClass(m)}" oncomplete="jq162('#ClassificationSlotOptional').modal('show')" render="ClassificationSlotOptional"/>
      </td>
    </tr>
  </a4j:region>
</ui:composition>
